Issue1861

classification
Title: Triage FIXME skips/other changes in regrtest specific to Jython
Type: Severity: normal
Components: Library Versions: Jython 2.7
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: fwierzbicki, jeff.allen, zyasoft
Priority: high Keywords: test failure causes

Created on 2012-03-20.19:15:04 by fwierzbicki, last changed 2014-12-15.00:04:42 by zyasoft.

Messages
msg6928 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2012-03-20.19:15:04
check FIXMEs
msg8505 (view) Author: Jim Baker (zyasoft) Date: 2014-05-21.23:45:33
unittest skips are no longer necessary in test_builtin, but there are still issues deeper in tests with FIXMEs that (circularly) reference this reminder issue.

I'm going to change this to a more comprehensive issue - check FIXMEs across the regrtest tests
msg9022 (view) Author: Jim Baker (zyasoft) Date: 2014-09-24.03:22:47
test_bytes.py:180:#XXX: Jython doesn't support codepoints outside of the UTF-16 range even at
test_class.py:499:        #XXX: gc.collect is not deterministic on Jython, but it would be nice
test_cmath.py:465:        # XXX: though not in Jython, should this be fixed?
test_collections.py:146:        #XXX: currently Jython's classfile limits are exceeded by Big tests.
test_collections.py:246:        # XXX: not working in Jython old style classes. Do we care?
test_collections.py:315:            #XXX: Do we need this to work for Jython?
test_collections.py.orig:146:        #XXX: currently Jython's classfile limits are exceeded by Big tests.
test_collections.py.orig:246:        # XXX: not working in Jython old style classes. Do we care?
test_collections.py.orig:317:            #XXX: Do we need this to work for Jython?
test_compile.py:84:        #XXX: Jython calls this a NameError
test_compile.py:98:        #XXX: Jython calls this an AttributeError
test_cpickle.py:102:        # XXX: Jython doesn't support list based picklers
test_cpickle.py:104:        # XXX: These don't cause exceptions on Jython
test_descr.py:1252:    # XXX: Jython new style classes don't support __del__
test_descr.py:1304:    # XXX: This tests a CPython GC reference count bug and Jython lacks
test_descr.py:1996:        # XXX: Jython allows a weakref here
test_file.py:99:        # XXX: Jython file methods require valid arguments: closed file
test_fileio.py:21:XXX: ignoring ValueError on Jython for now as the ValueError/IOError thing is
test_fileio.py:378:        #XXX: next assert not working in Jython:
test_hmac.py:307:        # XXX: Jython doesn't support sha224
test_isatty.py:28:        print e # XXX Jython prints 'no such file or directory' - probably
test_iter.py:791:        # XXX: Jython new style objects don't support __del__ yet
test_long.py:726:        #XXX: Most or all of these fail on Jython ATM - needs investigation.
test_longexp.py:6:#XXX: Is there a way around the method length limit in Jython?
test_marshal.py:156:    if not test_support.is_jython: # XXX - need to use the PBC compilation backend, which doesn't exist yet
test_math.py:1002:                        # XXX In Jython the accuracy is less, 200000 instead of
test_repr.py:252:        # XXX: Jython sys module is not a real module
test_shutil.py:82:    # XXX: Fails on Jython because Java resets the S_IREAD permission
test_set.py:787:        # XXX: jython does not use length_hint
test_syntax.py:35:#XXX: None as a dotted name is specifically allowed in Jython for Java compatibility.
test_syntax.py:149:### XXX: commented out -- jython lacks this limit -- should it have it?
test_syntax.py:184:### XXX: commented out -- jython lacks this limit -- should it have it?
test_syntax.py:347:### XXX: commented out -- jython lacks this limit -- should it have it?
test_tempfile.py:265:    # XXX: Jython can't set the write mode yet
test_time.py:44:        # XXX: Jython supports more dates than CPython
test_time.py:100:            # XXX: Jython doesn't support the "two digits years" hack (turned
test_weakref.py:676:        # XXX: threshold not applicable to Jython
test_weakref.py:700:            # XXX: threshold not applicable to Jython
lock_tests.py:358:        # FIXME: notify(n) is not currently implemented in Jython, trying
list_tests.py:48:        #FIXME: not working on Jython
test_aifc.py:72:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
string_tests.py:1195:        #FIXME: Jython currently returns a NotImplemented singleton for these.
test_asyncore.py:354:    @unittest.skipIf(is_jython, 'FIXME: Currently not working on jython')
test_asyncore.py:553:    @unittest.skipIf(is_jython, "FIXME: Currently not working on jython")
test_asyncore.py:581:    @unittest.skipIf(is_jython, "FIXME: Currently not working on jython")
test_builtin.py:247:        if not is_jython: #FIXME #1861
test_builtin.py:284:        if not is_jython: #FIXME #1861
test_builtin.py:292:        if not is_jython: #FIXME #1861
test_builtin.py:1371:            if not is_jython: #FIXME #1861
test_builtin.py:1514:        if not is_jython: #FIXME #1861 check again when __format__ works better.
test_cgi.py:78:#FIXME: None of these are working in Jython
test_charmapcodec.py:47:                     "FIXME: Currently not working on jython")
test_chdir.py:619:        #FIXME: worked in Jython 2.5
test_classpathimporter.py:83:    @unittest.skip("FIXME: worked in Jython 2.5")
test_classpathimporter.py:87:    @unittest.skip("FIXME: worked in Jython 2.5")
test_cmath.py:56:    #FIXME: this is not passing on Jython. Close
test_cmath.py:96:            #FIXME: complex(-0.0, -0.0) does not keep the negative in Jython,
test_cmath.py:130:    #FIXME: this is not passing on Jython. Close
test_cmath.py:132:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_cmath.py:286:                    #FIXME: this is not passing on Jython
test_cmath.py:300:    #FIXME: this is not passing on Jython. Close
test_cmath.py:302:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_cmath.py:386:    #FIXME: complex(-0.0, -0.0) does not keep the negative in Jython, skip
test_cmath.py:435:    #FIXME: complex(-0.0, -0.0) does not keep the negative in Jython, skip
test_cmd_line_script.py:103:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_cmd_line_script.py:111:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_cmd_line_script.py:117:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_cmd_line_script.py:125:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_cmd_line_script.py:131:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_cmd_line_script.py:138:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_cmd_line_script.py:146:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_cmd_line_script.py:162:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_cmd_line_script.py:169:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_cmd_line_script.py:185:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_codecs.py:1087:# @unittest.skipIf(test_support.is_jython, "FIXME: Jython issue 1153 missing support for IDNA")
test_collections.py.orig:298:            #FIXME: we need to get __hash__ to be None in non_samples for Jython.
test_compile.py:441:        #FIXME: not working in Jython, should it?:
test_compile.py:462:            #FIXME: Next one not working in Jython:
test_compile.py:478:        #FIXME: raises wrong error in Jython.
test_compile.py:487:        #FIXME: raises NPE in Jython.
test_complex.py:131:    @unittest.skipIf(test_support.is_jython, "FIXME: not working in Jython")
test_complex.py:144:    @unittest.skipIf(test_support.is_jython, "FIXME: not working in Jython")
test_complex.py:223:    @unittest.skipIf(test_support.is_jython, "FIXME: not working in Jython")
test_complex.py:267:        #FIXME: these are not working in Jython.
test_complex.py:272:        #FIXME: these are not working in Jython.
test_complex.py:278:        #FIXME: this is not working in Jython.
test_complex.py:282:        #FIXME: this is not working in Jython.
test_complex.py:304:        #FIXME: this is not working in Jython.
test_complex.py:343:        #FIXME: these are raising wrong errors in Jython.
test_complex.py:351:        #FIXME: these are raising wrong errors in Jython.
test_complex.py:357:        #FIXME: not working in Jython.
test_complex.py:449:        #FIXME: these are not working in Jython.
test_complex.py:453:        #FIXME: these are not working in Jython.
test_complex.py:458:        #FIXME: this is not working in Jython.
test_complex.py:461:        #FIXME: this is not working in Jython.
test_complex.py:482:        #FIXME: this is not working in Jython.
test_complex.py:520:        #FIXME: these are raising wrong errors in Jython.
test_complex.py:527:        #FIXME: these are raising wrong errors in Jython.
test_complex.py:532:        #FIXME: not working in Jython.
test_complex.py:644:    @unittest.skipIf(test_support.is_jython, "FIXME: str.__complex__ not working in Jython")
test_complex.py:723:                         "FIXME: not working in Jython")
test_complex.py:732:    @unittest.skipIf(test_support.is_jython, "FIXME: not working in Jython")
test_complex.py:740:    @unittest.skipIf(test_support.is_jython, "FIXME: not working in Jython")
test_defaultdict.py:151:    @unittest.skipIf(test_support.is_jython, "FIXME: incorrect formatting of default_factory when it's a bound method")
test_datetime.py:195:    @unittest.skipIf(test_support.is_jython, "FIXME: overflow error on Jython")
test_datetime.py:274:    @unittest.skipIf(test_support.is_jython, "FIXME: total_seconds() not supported")
test_datetime.py:897:    @unittest.skipIf(test_support.is_jython, "FIXME: some formats not accepted by Jython")
test_datetime.py:1208:    @unittest.skipIf(test_support.is_jython, "FIXME: some formats not accepted by Jython")
test_datetime.py:1549:    @unittest.skipIf(test_support.is_jython, "FIXME: %f not accepted")
test_datetime.py:1863:    @unittest.skipIf(test_support.is_jython, "FIXME: some formats not accepted")
test_dictcomps.py:4:    # FIXME: Jython leaks dictcomp scope.
test_exceptions.py:476:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_exceptions.py:527:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_exceptions.py:553:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_exceptions.py:578:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_fileio.py:37:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_float.py:38:        #FIXME: not raising ValueError on Jython:
test_float.py:221:        #FIXME: Jython fails some mod edge cases.
test_float.py:276:            #FIXME: Jython fails this.
test_float.py:287:            #FIXME: Jython fails these.
test_float.py:292:            #FIXME: Jython fails some of this.
test_float.py:302:            #FIXME: Jython fails some of this.
test_float.py:340:            #FIXME: Jython fails these.
test_float.py:367:            #FIXME: Jython fails this.
test_float.py:375:            #FIXME: Jython fails this.
test_funcattrs.py:315:    @unittest.skipIf(test_support.is_jython, "FIXME: not working in Jython")
test_index.py:237:    #FIXME: This test not working in Jython on NewSeqDeprecated.
test_io.py:656:    @unittest.skipIf(support.is_jython, "FIXME: Jython issue 1996")
test_io.py:1046:    @unittest.skipIf(support.is_jython, "FIXME: in the Java version with ArgParser")
test_io.py:1348:    @unittest.skipIf(support.is_jython, "FIXME: in the Java version with ArgParser")
test_io.py:1486:    @unittest.skipIf(support.is_jython, "FIXME: Jython issue 1996")
test_io.py:1731:    @unittest.skipIf(support.is_jython, "FIXME: in the Java version with ArgParser")
test_io.py:2912:    @unittest.skipIf(support.is_jython, "FIXME: Jython issue 1996")
test_itertools.py:340:        #FIXME: not working in Jython
test_itertools.py:352:        #FIXME: not working in Jython
test_itertools.py:356:        #FIXME: not working in Jython
test_itertools.py:364:        #FIXME: not working in Jython
test_itertools.py:382:        #FIXME: not working in Jython
test_itertools.py:406:        #FIXME: not working in Jython
test_itertools.py:411:        #FIXME: not working in Jython
test_itertools.py:926:        #FIXME: not working in Jython
test_json.py:14:    #FIXME: Investigate why test_bad_encoding isn't working in Jython.
test_memoryio.py:404:    @unittest.skipIf(support.is_jython, "FIXME: Jython issue 1996")
test_memoryio.py:601:    @unittest.skipIf(support.is_jython, "FIXME: Jython issue 1996")
test_memoryio.py:629:    if support.is_jython: # FIXME: Jython issue 1996
test_memoryio.py:677:    if support.is_jython: # FIXME: Jython issue 1996
test_netrc.py:73:    @unittest.skipIf(test_support.is_jython, "FIXME: not working on Jython")
test_netrc.py:81:    @unittest.skipIf(test_support.is_jython, "FIXME: not working on Jython")
test_netrc.py:89:    @unittest.skipIf(test_support.is_jython, "FIXME: not working on Jython")
test_netrc.py:96:    @unittest.skipIf(test_support.is_jython, "FIXME: not working on Jython")
test_netrc.py:103:    @unittest.skipIf(test_support.is_jython, "FIXME: not working on Jython")
test_os.py:375:                     "FIXME: investigate in Jython")
test_os.py:590:    @unittest.skipIf(test_support.is_jython, "FIXME: investigate for Jython")
test_pdb.py:285:    @unittest.skipIf(test_support.is_jython, "FIXME: not working in Jython")
test_pkgutil.py:81:    @unittest.skipIf(is_jython, "FIXME: not working on Jython")
test_posix.py:368:    @unittest.skipIf(test_support.is_jython, "FIXME: not working on Jython")
test_posix.py:412:    @unittest.skipIf(test_support.is_jython, "FIXME: not working on Jython")
test_runpy.py:270:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_runpy.py:276:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_runpy.py:326:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_runpy.py:334:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_runpy.py:344:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_runpy.py:352:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_runpy.py:362:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_runpy.py:370:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_runpy.py:378:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_runpy.py:387:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_runpy.py:396:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_setcomps.py:26:    #FIXME: scope leaks in Jython.
test_setcomps.py:90:    #FIXME: scope leaks in Jython.
test_setcomps.py:117:    #FIXME: scope leaks in Jython.
test_set.py:313:    @unittest.skipIf(test_support.is_jython, "FIXME: Not yet sure how to fix this")
test_slice.py:85:        #FIXME: next two not correct on Jython
test_slice.py:96:        #FIXME: next not correct on Jython
test_slice.py:124:    @unittest.skipIf(test_support.is_jython, "FIXME: not working in Jython")
test_sort.py:43:            "FIXME: find the part that is too much for Jython.")
test_str.py:302:        #FIXME: not supported in Jython yet:
test_str.py:419:    #FIXME: not working in Jython.
test_tarfile.py:1102:    @unittest.skipIf(test_support.is_jython, "FIXME: not working in Jython")
test_tarfile.py:1180:    @unittest.skipIf(test_support.is_jython, "FIXME: not working in Jython")
test_traceback.py:31:    @unittest.skipIf(is_jython, "FIXME: Jython lexer not catching bad '!'")
test_types.py:744:    @unittest.skipIf(is_jython, "FIXME: not working")
test_unicode_jy.py:643:        #FIXME: not supported in Jython yet:
test_urllib2.py:670:                     "FIXME: Currently not working on jython")
test_weakset.py:66:    @unittest.skipIf(test_support.is_jython, "FIXME: not working in Jython")
test_weakset.py:73:    @unittest.skipIf(test_support.is_jython, "FIXME: not working in Jython")
test_weakset.py:170:    @unittest.skipIf(test_support.is_jython, "FIXME: not working in Jython")
test_weakset.py:177:    @unittest.skipIf(test_support.is_jython, "FIXME: not working in Jython")
test_weakset.py:232:    @unittest.skipIf(test_support.is_jython, "FIXME: not working in Jython")
test_weakset.py:359:    @unittest.skipIf(test_support.is_jython, "FIXME: not working in Jython")
test_xmlrpc.py:148:    @unittest.skipIf(test_support.is_jython, "FIXME: #1875 not working in Jython")
test_xrange.py:99:    @unittest.skipIf(is_jython, "FIXME: pickling range not working in Jython")
test_xrange.py:109:    @unittest.skipIf(is_jython, "FIXME: range iter not working in Jython")
test_zipimport_support.py:108:    @unittest.skipIf(is_jython, "FIXME: not working on Jython")
test_zipimport_support.py:204:    @unittest.skipIf(is_jython, "FIXME: not working on Jython")
test_zipimport_support.py:234:    @unittest.skipIf(is_jython, "FIXME: not working on Jython")
msg9023 (view) Author: Jim Baker (zyasoft) Date: 2014-09-24.03:25:20
So it looks like we can ignore most of the XXX comments as important explanatory notes in these tests, but we should go through those FIXMEs for sure.
msg9229 (view) Author: Jim Baker (zyasoft) Date: 2014-12-13.04:39:14
After a lot of hard work, we have the following FIXMEs. Still some more work to go through triaging all of them:

list_tests.py:        #FIXME: not working on Jython
lock_tests.py:        # FIXME: notify(n) is not currently implemented in Jython, trying
pickletester.py:    @unittest.skip("FIXME: not working.")
pickletester.py:    @unittest.skip("FIXME: max recursion")
pickletester.py:    @unittest.skip("FIXME: not working.")
pickletester.py:    @unittest.skip("FIXME: not working.")
pickletester.py:    @unittest.skip("FIXME: not working.")
pickletester.py:    @unittest.skip("FIXME: not working.")
pickletester.py:    @unittest.skip("FIXME: not working.")
string_tests.py:        #FIXME: Jython currently returns a NotImplemented singleton for these.
test_aifc.py:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_asyncore.py:    @unittest.skipIf(is_jython, 'FIXME: Currently not working on jython')
test_asyncore.py:    @unittest.skipIf(is_jython, "FIXME: Currently not working on jython")
test_asyncore.py:    @unittest.skipIf(is_jython, "FIXME: Currently not working on jython")
test_builtin_jy.py:        #FIXME: assertEquals may be more strict about dict compares in 2.7.
test_builtin_jy.py:        #FIXME: assertEquals may be more strict about dict compares in 2.7.
test_charmapcodec.py:                     "FIXME: Currently not working on jython")
test_chdir.py:        #FIXME: worked in Jython 2.5
test_classpathimporter.py:    @unittest.skip("FIXME: worked in Jython 2.5")
test_classpathimporter.py:    @unittest.skip("FIXME: worked in Jython 2.5")
test_cmath.py:            # FIXME uncomment tests for Jython
test_cmath.py:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_cmd_line_script.py:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_cmd_line_script.py:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_cmd_line_script.py:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_cmd_line_script.py:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_cmd_line_script.py:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_cmd_line_script.py:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_cmd_line_script.py:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_cmd_line_script.py:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_cmd_line_script.py:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_cmd_line_script.py:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_codecs.py:# @unittest.skipIf(test_support.is_jython, "FIXME: Jython issue 1153 missing support for IDNA")
test_compile.py:            #FIXME: wrong error raised.
test_compile.py:        #FIXME: not working in Jython, should it?:
test_compile.py:            #FIXME: Next one not working in Jython:
test_compile.py:        #FIXME: raises wrong error in Jython.
test_compile.py:        #FIXME: raises NPE in Jython.
test_complex.py:        # FIXME: The following currently crashes on Alpha
test_complex.py:    @unittest.skipIf(test_support.is_jython, "FIXME: not working in Jython")
test_complex.py:    @unittest.skipIf(test_support.is_jython, "FIXME: not working in Jython")
test_complex.py:    @unittest.skipIf(test_support.is_jython, "FIXME: not working in Jython")
test_complex.py:        #FIXME: these are not working in Jython.
test_complex.py:        #FIXME: these are not working in Jython.
test_complex.py:        #FIXME: this is not working in Jython.
test_complex.py:        #FIXME: this is not working in Jython.
test_complex.py:        #FIXME: this is not working in Jython.
test_complex.py:        #FIXME: these are raising wrong errors in Jython.
test_complex.py:        #FIXME: these are raising wrong errors in Jython.
test_complex.py:        #FIXME: not working in Jython.
test_complex.py:        #FIXME: these are not working in Jython.
test_complex.py:        #FIXME: these are not working in Jython.
test_complex.py:        #FIXME: this is not working in Jython.
test_complex.py:        #FIXME: this is not working in Jython.
test_complex.py:        #FIXME: this is not working in Jython.
test_complex.py:        #FIXME: these are raising wrong errors in Jython.
test_complex.py:        #FIXME: these are raising wrong errors in Jython.
test_complex.py:        #FIXME: not working in Jython.
test_complex.py:    @unittest.skipIf(test_support.is_jython, "FIXME: str.__complex__ not working in Jython")
test_complex.py:                         "FIXME: not working in Jython")
test_complex.py:    @unittest.skipIf(test_support.is_jython, "FIXME: not working in Jython")
test_complex.py:    @unittest.skipIf(test_support.is_jython, "FIXME: not working in Jython")
test_datetime.py:    @unittest.skipIf(test_support.is_jython, "FIXME: overflow error on Jython")
test_datetime.py:    @unittest.skipIf(test_support.is_jython, "FIXME: total_seconds() not supported")
test_datetime.py:    @unittest.skipIf(test_support.is_jython, "FIXME: some formats not accepted by Jython")
test_datetime.py:    @unittest.skipIf(test_support.is_jython, "FIXME: some formats not accepted by Jython")
test_datetime.py:    @unittest.skipIf(test_support.is_jython, "FIXME: %f not accepted")
test_datetime.py:    @unittest.skipIf(test_support.is_jython, "FIXME: some formats not accepted")
test_defaultdict.py:    @unittest.skipIf(test_support.is_jython, "FIXME: incorrect formatting of default_factory when it's a bound method")
test_dictcomps.py:    # FIXME: Jython leaks dictcomp scope.
test_exceptions.py:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_exceptions.py:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_exceptions.py:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_exceptions.py:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_fileio.py:    @unittest.skipIf(is_jython, "FIXME: not working in Jython")
test_float.py:        #FIXME: not raising ValueError on Jython:
test_float.py:        #FIXME: Jython fails some mod edge cases.
test_float.py:            #FIXME: Jython fails this.
test_float.py:            #FIXME: Jython fails these.
test_float.py:            #FIXME: Jython fails some of this.
test_float.py:            #FIXME: Jython fails some of this.
test_float.py:            #FIXME: Jython fails these.
test_float.py:            #FIXME: Jython fails this.
test_float.py:            #FIXME: Jython fails this.
test_index.py:    #FIXME: This test not working in Jython on NewSeqDeprecated.
test_io.py:    @unittest.skipIf(support.is_jython, "FIXME: Jython issue 1996")
test_io.py:    @unittest.skipIf(support.is_jython, "FIXME: in the Java version with ArgParser")
test_io.py:    @unittest.skipIf(support.is_jython, "FIXME: in the Java version with ArgParser")
test_io.py:    @unittest.skipIf(support.is_jython, "FIXME: Jython issue 1996")
test_io.py:    @unittest.skipIf(support.is_jython, "FIXME: in the Java version with ArgParser")
test_io.py:    @unittest.skipIf(support.is_jython, "FIXME: Jython issue 1996")
test_java_integration.py:    @unittest.skip("FIXME: not working")
test_list.py:        #FIXME: too brutal for us ATM.
test_memoryio.py:    @unittest.skipIf(support.is_jython, "FIXME: Jython issue 1996")
test_memoryio.py:    @unittest.skipIf(support.is_jython, "FIXME: Jython issue 1996")
test_memoryio.py:    if support.is_jython: # FIXME: Jython issue 1996
test_memoryio.py:    if support.is_jython: # FIXME: Jython issue 1996
test_netrc.py:    @unittest.skipIf(test_support.is_jython, "FIXME: not working on Jython")
test_netrc.py:    @unittest.skipIf(test_support.is_jython, "FIXME: not working on Jython")
test_netrc.py:    @unittest.skipIf(test_support.is_jython, "FIXME: not working on Jython")
test_netrc.py:    @unittest.skipIf(test_support.is_jython, "FIXME: not working on Jython")
test_netrc.py:    @unittest.skipIf(test_support.is_jython, "FIXME: not working on Jython")
test_os.py:                     "FIXME: investigate in Jython")
test_os.py:    @unittest.skipIf(test_support.is_jython, "FIXME: investigate for Jython")
test_posix.py:    @unittest.skipIf(test_support.is_jython, "FIXME: not working on Jython")
test_posix.py:    @unittest.skipIf(test_support.is_jython, "FIXME: not working on Jython")
test_posixpath.py:    @unittest.skip("FIXME: broken")
test_posixpath.py:        @unittest.skip("FIXME: broken")
test_posixpath.py:        @unittest.skip("FIXME: broken")
test_posixpath.py:        @unittest.skip("FIXME: broken")
test_posixpath.py:        @unittest.skip("FIXME: broken")
test_random.py:    @unittest.skip("FIXME: broken")
test_random.py:    @unittest.skip("FIXME: broken")
test_random.py:    @unittest.skip("FIXME: broken")
test_scope.py:    @unittest.skip("FIXME: broken")
test_scope.py:    @unittest.skip("FIXME: broken")
test_scope.py:    @unittest.skip("FIXME: broken")
test_setcomps.py:    #FIXME: scope leaks in Jython.
test_setcomps.py:    #FIXME: scope leaks in Jython.
test_setcomps.py:    #FIXME: scope leaks in Jython.
test_socket.py:        #self.assertEqual(sockaddr[:2], ('::1', PORT))      # FIXME: Got '0:0:...:1' instead!
test_socket.py:                # FIXME Apparently Netty's doesn't set remoteAddress, even if connected, for datagram channels
test_str.py:        #FIXME: not supported in Jython yet:
test_str.py:    #FIXME: not working in Jython.
test_sys.py:    # FIXME: testing the code for a lost or replaced excepthook in
test_tarfile.py:    # All *UnicodeTests FIXME
test_tarfile.py:    @unittest.skipIf(test_support.is_jython, "FIXME: not working in Jython")
test_tarfile.py:    @unittest.skipIf(test_support.is_jython, "FIXME: not working in Jython")
test_traceback.py:    @unittest.skipIf(is_jython, "FIXME: Jython lexer not catching bad '!'")
test_unicode_jy.py:        #FIXME: not supported in Jython yet:
test_unicodedata.py:                    continue  # FIXME
test_urllib2.py:                     "FIXME: Currently not working on jython")
test_xmlrpc.py:    @unittest.skipIf(test_support.is_jython, "FIXME: #1875 not working in Jython")
test_zipimport_support.py:    @unittest.skipIf(is_jython, "FIXME: not working on Jython")
test_zipimport_support.py:    @unittest.skipIf(is_jython, "FIXME: not working on Jython")
test_zipimport_support.py:    @unittest.skipIf(is_jython, "FIXME: not working on Jython")
msg9232 (view) Author: Jeff Allen (jeff.allen) Date: 2014-12-14.20:06:37
That's a lot of bugs in one place. How to share the work?

I propose I take the float and complex ones. (Maybe as a distinct issue?)
msg9233 (view) Author: Jim Baker (zyasoft) Date: 2014-12-15.00:01:53
Jeff, your help would be much appreciated! That sounds like a great division.

Hopefully in the future we will not have megabugs like this one again - I really didn't appreciate the scope of this bug until I started digging into it.
msg9234 (view) Author: Jim Baker (zyasoft) Date: 2014-12-15.00:04:42
At this point, probably the highest urgency bugs in this bug are the scope problems for dict and set comprehensions, where the iterator variable leaks. However, this is a fairly straightforward thing to rewrite in CodeCompiler, much like generator expressions. (List comprehensions are supposed to leak...)
History
Date User Action Args
2014-12-15 00:04:42zyasoftsetmessages: + msg9234
2014-12-15 00:01:54zyasoftsetmessages: + msg9233
2014-12-14 20:06:38jeff.allensetnosy: + jeff.allen
messages: + msg9232
2014-12-13 04:39:15zyasoftsetmessages: + msg9229
2014-09-24 18:33:09zyasoftsetpriority: high
2014-09-24 03:25:20zyasoftsetmessages: + msg9023
2014-09-24 03:22:49zyasoftsetmessages: + msg9022
2014-05-21 23:45:33zyasoftsetnosy: + zyasoft
messages: + msg8505
title: test failures in test_buitlins.py -> Triage FIXME skips/other changes in regrtest specific to Jython
2013-02-20 00:40:52fwierzbickisetversions: + Jython 2.7, - 2.7a1
2012-03-20 19:15:04fwierzbickicreate